Community
Inventor Programming - iLogic, Macros, AddIns & Apprentice
Inventor iLogic, Macros, AddIns & Apprentice Forum. Share your knowledge, ask questions, and explore popular Inventor topics related to programming, creating add-ins, macros, working with the API or creating iLogic tools.
cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 

Costumize Overflow Menu

1 REPLY 1
Reply
Message 1 of 2
JoãoASilva
136 Views, 1 Reply

Costumize Overflow Menu

Hello,

 

Is there any way to customize de overflow menu in Tool > Customize > Marking Menu?

JooASilva_0-1715593141764.png

 

From this old post it seems like it isn't, but I hope it has since changed...

I'm currently on Inventor 2023.

 

Thanks!

João Silva

Mechanical Engineer

 

If what I said solved your problem, or answered your question, please use the ACCEPT AS SOLUTION or KUDOS buttons.

Or if it helped you, please hit "LIKE" 

 

Inventor Professional 2023.3, Build 359

Labels (4)
1 REPLY 1
Message 2 of 2

I'm not sure that it is possible to do it using UI, but using API it is an easy job. 

MichaelNavara_0-1715599251050.png

 

But this iLogic rule is just a sample HOW TO... You need to implement this functionality to addin and you must keep variable _userInputEvents persistent and you can improve the condition when the linearMenu should be updated.

 

Sub Main()
    
    _userInputEvents = ThisApplication.CommandManager.UserInputEvents
    AddHandler _userInputEvents.OnLinearMarkingMenu, AddressOf UserInputEvents_OnLinearMarkingMenu

End Sub

Private _userInputEvents As UserInputEvents

Private Sub UserInputEvents_OnLinearMarkingMenu(selectedEntities As ObjectsEnumerator,
                                                selectionDevice As SelectionDeviceEnum,
                                                linearMenu As CommandControls,
                                                additionalInfo As NameValueMap)

    Dim sketchGeneralDimensionCmd As String = "SketchGeneralDimensionCmd"
    Dim sketchCurvatureConstraintCmd As String = "SketchCurvatureWrapperCmd"
    
    If linearMenu.Item(linearMenu.Count).ControlDefinition.InternalName = sketchCurvatureConstraintCmd Then
        linearMenu.AddButton(ThisApplication.CommandManager.ControlDefinitions(sketchGeneralDimensionCmd))
    End If

End Sub

 

 

Can't find what you're looking for? Ask the community or share your knowledge.

Post to forums  

Technology Administrators


Autodesk Design & Make Report